        double precision function f(x)
c a cubic polynomial with a unique root, near 1.8
        implicit none
        double precision x
        print*,x
        f = x*(x*(x-1.d0)-1.d0)-1.d0
        return
        end
